Subject: Re: bug#8638: 24.0.50; Imenu should not include vacuous defvars

From: Juanma Barranquero <[email-masked]>
Date: Sun, 8 May 2011 21:46:15 +0200

On Sun, May 8, 2011 at 21:36, Drew Adams <[email-masked]> wrote:

> But these are not variable definitions in the same sense as full defvars are.

I disagree. IMHO, in a lexical binding package, yes, there are
variable definitions. In some cases the variables are documented in
the docstring of a function or somesuch, but they are real variables
nonetheless. Instead of sweeping them under the carpet, perhaps it
would be better to suggest the programmer to add proper docstrings and
initial values to them.

    Juanma